From 84249e315c4a95b3ef9421dbf8492e10422e40d9 Mon Sep 17 00:00:00 2001
From: Mart Raudsepp <leio@gentoo.org>
Date: Thu, 12 Mar 2020 13:28:38 +0200
Subject: [PATCH] build: Make vapi generation optional

---
 meson_options.txt | 1 +
 src/meson.build   | 2 ++
 2 files changed, 3 insertions(+)

diff --git a/meson_options.txt b/meson_options.txt
index 8984e9f69..27f9a368b 100644
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -13,6 +13,7 @@ option('channel',
 
 option('help', type: 'boolean', value: false)
 option('docs', type: 'boolean', value: false)
+option('vapi', type: 'boolean')
 
 option('network_tests', type: 'boolean', value: true, description: 'Allow networking in unit-tests')
 
diff --git a/src/meson.build b/src/meson.build
index 113a142ad..b0510270b 100644
--- a/src/meson.build
+++ b/src/meson.build
@@ -134,6 +134,7 @@ libide_gir = gnome.generate_gir(gnome_builder,
            extra_args: gnome_builder_gir_extra_args,
 )
 
+if get_option('vapi')
 configure_file(
           input: 'libide.deps',
          output: 'libide-' + libide_api_version + '.deps',
@@ -165,3 +166,4 @@ libide_vapi = gnome.generate_vapi('libide-' + libide_api_version,
 
 # Must be after vapi generation
 subdir('plugins/vala-pack')
+endif
-- 
2.20.1

